Page MenuHomePhabricator

Enable local file upload in Tulu Wikipedia
Open, LowPublic

Description

Tulu Wikipedia (tcy.wikipedia.org) became live in Aug 2016. Many articles in this nascent Wikipedia don't have required images, audio and/or videos. Enabling local file upload under fair use policy will help in adding thes files. Hence a discussion thread was opened in the Tulu Wikipedia on May 06, 2017. Image use policy and fair use policy pages have been created in Tulu Wikipedia. The restrictions on the files to be uploaded are -

  • Images - less than 2MB, 24 bit color, less than 1000 x 1000 pixel
  • Audio - less than 90 second, 44.1kHz, 192 kbps
  • Videos - less than 90 seconds

I request to enable local file upload for Tulu Wikipedia

Event Timeline

Pavanaja created this task.Jun 1 2017, 8:10 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 1 2017, 8:10 AM

Guess we would need EDP for you wiki before enabling. Free media should be uploaded to Commons and local upload should be used only for images that are free only in your country or that your law allows to use in adddition to worldwide options.

@Dereckson taked care about it i think.

Framawiki triaged this task as Normal priority.Jun 1 2017, 7:44 PM
Framawiki updated the task description. (Show Details)
Framawiki added a subscriber: Framawiki.

I confirm there isn't currently a non free content policy for the Tulu Wikipedia at https://meta.wikimedia.org/wiki/Non-free_content

@Pavan447 On what basis did you create these policies? Did you take in consideration Indian law?

I confirm there isn't currently a non free content policy for the Tulu Wikipedia at https://meta.wikimedia.org/wiki/Non-free_content
@Pavan447 On what basis did you create these policies? Did you take in consideration Indian law?

I have added the link to fair use policy (same as non-free content policy) page for Tulu Wikipedia now.

@Pavan447 On what basis did you create these policies? Did you take in consideration Indian law?

Yes. There is a link to the Indian Copyright Act also.

What else needs to be done?

What else needs to be done?

Please let me know if we have to do anything else to take this forward.

Great, thank you. AFAIK technical restriction aren't possible from the server side. The community will have to take care about them itself. Maybe AbuseFilter can handle such restrictions but I don't think so. There is only a switch uploads are enabled/disabled to everybody/only certain groups (so for example you may have 'uploader' group which will be able to upload locally).

@Dereckson Can you check the EDP?

Great, thank you. AFAIK technical restriction aren't possible from the server side. The community will have to take care about them itself.

I know. We will take care of it. Similar thing was done in Kannada Wikipedia. We are checking the files uploaded locally and taking care of them.

Local file upload is very much needed for Tulu Wikipedia which will allow adding book cover images to article.

This comment was removed by kunchadka.

Please enable local file upload facility to Tulu Wikipedia.

Stop flooding, please. We'll check the policy and if all will be ok, we'll process the request.

MarcoAurelio lowered the priority of this task from Normal to Low.Aug 13 2017, 7:05 PM

May I know why the priority was changed from Normal to Low? We have been waiting this to be implemented for quite sometime now. Please let us know what needs to be done from our end to speed up the process. AFAIK, there is no action pending from our side.

Priority reflects real state, not wishes. Normal means this or early next week, low means in two next weeks, lowest means "someday/maybe". Making the change is super-easy but somebody must check the EDP.

This task is still pending. May I know the reason?

TerraCodes claimed this task.EditedNov 9 2017, 7:32 PM

EDP looks fine to me, tho @Dereckson probably knows more about it than me.

Change 390303 had a related patch set uploaded (by TerraCodes; owner: TerraCodes):
[operations/mediawiki-config@master] Enable local uploads for tcywiki

https://gerrit.wikimedia.org/r/390303

I don't speak Tulu. The fact there is a link to the Indian law is good, the fact the page is based on the en. non free content page less good.

What would be valuable would be a statement from the community someone knowledgeable with the Indian copyright law check it.

Meanwhile, the community seems to have done everything required: discuss exemptions, publish a policy, link it on meta, so yes we can proceed.

What would be valuable would be a statement from the community someone knowledgeable with the Indian copyright law check it.

@DhanalakshmiKT, @Ravi_Mundkur, @Pavanaja, @Badikana: Do you have anybody in mind? ^^

What would be valuable would be a statement from the community someone knowledgeable with the Indian copyright law check it.

@DhanalakshmiKT, @Ravi_Mundkur, @Pavanaja, @Badikana: Do you have anybody in mind? ^^

IMO, http://www.jurist.org/dateline/2012/05/sandeep-kanak-rathod-copyright.php is worth to be used when reviewing.

Pavanaja added a comment.EditedDec 10 2017, 9:32 AM

I really can't figure out why this task is taking so long. I am an admin in both Kannada and Tulu Wikipedias. FUP was drafted by us for Kannada Wikipedia first. Local file uploading was enabled for Kannada Wikipedia. Then the same kind of policies were drafted by Tulu community. I thought local file upload will be enabled very soon for Tulu also similarly. But it is simply dragging for Tulu for no reason. We made sure that everything needed is in place before putting this request.

We have had issues in the past with small wiki uploads becoming swamped with copyright violations. So we need to check very carefully that there are rules in place about non-free content, and there aren't many copyright law experts and Tulu speakers about.

How long this will take to implement? Will it ever be done or not? Community has resolved to implement this long ago. FUP is in place. What else is needed?

Change 390303 abandoned by TerraCodes:
Enable local uploads for tcywiki

https://gerrit.wikimedia.org/r/390303

TerraCodes removed TerraCodes as the assignee of this task.Sat, Aug 24, 12:25 AM